package com.ruoyi.invest.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 评审记录对象 t_project_review
 * 
 * @author zjc
 * @date 2024-04-02
 */
public class TProjectReview extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private String id;
    private String reviewId;

    /** 项目ID */
    @Excel(name = "项目ID")
    private String projectPoolId;

    /** 内容 */
    @Excel(name = "内容")
    private String context;

    /** 评审人 */
    @Excel(name = "评审人")
    private String reviewPerson;

    /** 评审人ID */
    @Excel(name = "评审人ID")
    private String reviewPersonId;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }

    public String getReviewId() {
        return reviewId;
    }

    public void setReviewId(String reviewId) {
        this.reviewId = reviewId;
    }

    public void setProjectPoolId(String projectPoolId)
    {
        this.projectPoolId = projectPoolId;
    }

    public String getProjectPoolId() 
    {
        return projectPoolId;
    }
    public void setContext(String context) 
    {
        this.context = context;
    }

    public String getContext() 
    {
        return context;
    }
    public void setReviewPerson(String reviewPerson) 
    {
        this.reviewPerson = reviewPerson;
    }

    public String getReviewPerson() 
    {
        return reviewPerson;
    }
    public void setReviewPersonId(String reviewPersonId) 
    {
        this.reviewPersonId = reviewPersonId;
    }

    public String getReviewPersonId() 
    {
        return reviewPersonId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectPoolId", getProjectPoolId())
            .append("context", getContext())
            .append("reviewPerson", getReviewPerson())
            .append("reviewPersonId", getReviewPersonId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
